/* NAVIGATION MENU */
.nav {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
}

.nav-list {
    display: flex;
    gap: 1.5rem;
    list-style: none;
    margin: 0;
    padding: 0;
}

.nav-item {
    display: flex;
    align-items: center;
}

.nav-link {
    display: block;
    padding: 0.75rem 1.2rem;
    color: var(--light-text);
    text-decoration: none;
    border-radius: 5px;
    transition: var(--transition);
    cursor: pointer;
    font-weight: 500;
}

.nav-link:hover, .nav-link.active {
    background-color: rgba(255,255,255,0.1);
    color: var(--secondary-color);
}

.social-links {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-top: 1rem;
}

.social-icon {
    font-size: 1.2rem;
    color: var(--light-text);
    transition: var(--transition);
}

.social-icon:hover {
    color: var(--secondary-color);
    transform: translateY(-3px);
}

.content-link {
    display: block;
    padding: 0.75rem 1rem;
    color: var(--light-text);
    text-decoration: none;
    border-radius: 5px;
    transition: var(--transition);
    cursor: pointer;
    font-weight: 500;
}

.content-link:hover, .content-link:active{
    background-color: var(--card-bg);
    color: var(--primary-color);
}